
export default class CMath{
    /**
     * 2点之间距离
     * @param pos1 
     * @param pos2 
     */
    public static getDistance(pos1: cc.Vec2, pos2: cc.Vec2):number {
        return Math.sqrt(Math.pow(pos1.x - pos2.x, 2) + Math.pow(pos1.y - pos2.y, 2));
    }
    /**
     * 2点之间弧度
     * @param pos1 
     * @param pos2 
     */
    public static getAngle(p1: cc.Vec2, p2: cc.Vec2):number {
        return Math.atan2(p2.y - p1.y, p2.x - p1.x);
    }

    /**
     * 随机数
     * @param min 
     * @param max 
     */
    public static getRandom(min, max) {
        return Math.floor(Math.random()*(max-min+1)+min);
    }
}
